Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPForeignAttributeReader

    java.lang.Object
      org.apache.fop.render.afp.AFPForeignAttributeReader

    public class AFPForeignAttributeReader

extends java.lang.Object

Parses any AFP foreign attributes

Field Summary
`static org.apache.xmlgraphics.util.QName` | `RESOURCE_GROUP_URI` the resource-group-file attribute
`static org.apache.xmlgraphics.util.QName` | `RESOURCE_LEVEL` the resource-level attribute
`static org.apache.xmlgraphics.util.QName` | `RESOURCE_NAME` the resource-name attribute

Constructor Summary
`AFPForeignAttributeReader()` Main constructor

Method Summary
`AFPResourceInfo` | `getResourceInfo(java.util.Map<org.apache.xmlgraphics.util.QName,java.lang.String> foreignAttributes)` Returns the resource information
`AFPResourceLevel` | `getResourceLevel(java.util.Map<org.apache.xmlgraphics.util.QName,java.lang.String> foreignAttributes)` Returns the resource level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_NAME

    public static final org.apache.xmlgraphics.util.QName RESOURCE_NAME

  the resource-name attribute

### RESOURCE_LEVEL

    public static final org.apache.xmlgraphics.util.QName RESOURCE_LEVEL

  the resource-level attribute

### RESOURCE_GROUP_URI

    public static final org.apache.xmlgraphics.util.QName RESOURCE_GROUP_URI

  the resource-group-file attribute

Constructor Detail

### AFPForeignAttributeReader

    public AFPForeignAttributeReader()

  Main constructor

Method Detail

### getResourceInfo

    public AFPResourceInfo getResourceInfo(java.util.Map<org.apache.xmlgraphics.util.QName,java.lang.String> foreignAttributes)

  Returns the resource information

  Parameters:
    `foreignAttributes` - the foreign attributes
  Returns:
    the resource information

### getResourceLevel

    public AFPResourceLevel getResourceLevel(java.util.Map<org.apache.xmlgraphics.util.QName,java.lang.String> foreignAttributes)

  Returns the resource level

  Parameters:
    `foreignAttributes` - the foreign attributes
  Returns:
    the resource level

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.